Subject: Re: bug#21099: 24.3; bibtex-clean-entry and date fields in biblatex

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Aug 2019 13:22:50 +0200

Gustavo Barros <[email-masked]> writes:

> I can add two things about this.  First, that I’ve been using
> bibtex-mode for some time, with `(bibtex-dialect (quote biblatex))` and,
> with proper configuration of `bibtex-entry-format`, namely the exclusion
> of value `numerical-fields` which is added by default, I get braces in
> all of my fields, including date/year ones when using
> `bibtex-clean-entry`.

Do you have an example bibtex file that demonstrates the error in
`bibtex-clean-entry'?

> On the other hand, it is true there is a dearth of documentation for
> "bibtex.el".  It’s comments state:
>
>> See documentation for `bibtex-mode' or type "M-x describe-mode" when
>> you are in BibTeX mode.
>
> I might have missed it, but I cannot find a built-in documentation for
> it.  And what we get for "C-h m" is scant.

`C-h f bibtex-mode RET' gives me a quite long doc string (in Emacs 27,
at least).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no